# GET /pixverse/v1/pro/feed

**Method**: `GET`
**Endpoint**: `/pixverse/v1/pro/feed`

**status**
0: "NOT\_START"
1: "IN\_PROGRESS"
2: "FAILURE"
3: "SUCCESS"

## Request Parameters

### Query Parameters

```text
task_id
string
Optional
Example:
a766793f-5e6b-4f4e-deac-cfa80a51e167
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/pixverse/v1/pro/feed?task_id=a766793f-5e6b-4f4e-deac-cfa80a51e167' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "msg": "Success",
    "code": 200,
    "data": {
        "msg": null,
        "point": "300",
        "state": "succeeded",
        "poster": "https://cdn.gptbest.vip/dvideo/uploads/draw/pix/20250213/2a020e61-9c8e-7c74-392f-4582e071ec16.jpg?imageView2/2/w/1500",
        "prompt": "Example prompt from provider documentation.",
        "refund": "0",
        "status": "3",
        "task_id": "a766793f-5e6b-4f4e-deac-cfa80a51e167",
        "image_url": "https://cdn.gptbest.vip/dvideo/uploads/draw/pix/20250213/2a020e61-9c8e-7c74-392f-4582e071ec16.jpg?imageView2/2/w/1500",
        "video_url": "https://cdn.gptbest.vip/dvideo/pix/20250213/5a31988f-21c7-6d4f-ca35-a1ef004a03d4.mp4",
        "create_time": "1739427742",
        "update_time": "1739428166"
    }
}
```
